文档API 参考

Rust · 0.1.0

Delete Memo

DELETE /api/v1/memos/{memo}

MemoService · MemoService_DeleteMemo

基于协议生成的参考。授权与实例策略仍然生效。结构描述继承自 MIT 许可的应用接口定义;本站不会向真实服务执行示例。

访问权限

需要笔记作者或实例管理员。更新与分享管理还会检查适用的空间归属;空间成员资格本身不会赋予他人笔记的所有者权限。

永久删除的范围

删除指定笔记及其所属资源,再清理附件存储。与它相连的关系会被移除,但不会递归删除关联笔记或独立评论。声明的 force 输入不会启用另一种删除模式。需要可恢复流程时,请将 state 更新为 ARCHIVED。清理错误可能出现在删除已经提交之后。

成功响应

此操作没有资源对象需要返回。Rust REST 传输将 protobuf Empty 序列化为 HTTP 200 与 JSON {}。生成接口定义中的成功结构为空是有意行为,不表示遗漏了请求说明。

请求

DeleteMemo deletes only the named memo and its owned resources. It removes incident relations but never deletes another memo.

DELETE/api/v1/memos/{memo}

参数

名称 / 位置类型 / 是否必需描述
memo
path
string
必需
The memo id.
force
query
boolean
OpenAPI 未标记为必需
Optional. If set to true, the memo will be deleted even if it has associated data.

请求体

未声明请求体。

响应

200 · OK

default · Default error response

application/json · Status

完整操作定义

下方保留全部已声明约束、媒体类型和响应细节。结构引用链接到完整定义。

展开 JSON 定义
{
  "tags": [
    "MemoService"
  ],
  "description": "DeleteMemo deletes only the named memo and its owned resources. It removes\n incident relations but never deletes another memo.",
  "operationId": "MemoService_DeleteMemo",
  "parameters": [
    {
      "name": "memo",
      "in": "path",
      "description": "The memo id.",
      "required": true,
      "schema": {
        "type": "string"
      }
    },
    {
      "name": "force",
      "in": "query",
      "description": "Optional. If set to true, the memo will be deleted even if it has associated data.",
      "schema": {
        "type": "boolean"
      }
    }
  ],
  "responses": {
    "200": {
      "description": "OK",
      "content": {}
    },
    "default": {
      "description": "Default error response",
      "content": {
        "application/json": {
          "schema": {
            "$ref": "#/components/schemas/Status"
          }
        }
      }
    }
  }
}